Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Class HelpMessageEvent

    java.lang.Object
      jpicedt.graphic.event.HelpMessageEvent

public class HelpMessageEvent
extends Object

A class that allows an EditorKit to post help-messages (or tooltips) that make sense with the current operation being performed. This may be used e.g. by the UI machinery.

Since:
  jpicedt 1.3.2
Version:
  $Id: HelpMessageEvent.java,v 1.5.2.1 2007/09/02 11:56:18 reynal Exp $
Author:
  Sylvain Reynal

Constructor Summary
`HelpMessageEvent(EditorKit source, String message)` contruct a new event

Method Summary
`String` | `getMessage()` Return the help-message.
`EditorKit` | `getSource()` Return the editor kit that sourced this event.
`String` | `toString()` Return a String representation of this event for debugging purpose.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HelpMessageEvent

    public HelpMessageEvent(EditorKit source,
                            String message)

  contruct a new event

Parameters:
  `source` - the editorkit that sourced the event
  `message` - the help-message

Method Detail

### getSource

    public EditorKit getSource()

  Return the editor kit that sourced this event.

### getMessage

    public String getMessage()

  Return the help-message.

### toString

    public String toString()

  Return a String representation of this event for debugging purpose.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org